#
# spec file for package apache2-mod_xml2enc
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         apache2-mod_xml2enc
BuildRequires: apache2-devel libxml2-devel
%define modname mod_xml2enc
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:	1.0.3
Release:	1.10
License:	Apache License
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn} 
Autoreqprov:	on
Summary:	Authentication module against radius
Url:		http://freeradius.org/mod_xml2enc/
Source0:	%{modname}-%{version}.tar.bz2
Source1:	USAGE
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description

%debug_package
%prep
%setup -n %{modname}-%{version}

%build
%{apxs} -a -n %{modname}.so -c mod_xml2enc.c
cp %{S:1} .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so || ls -al .libs/

%files
%defattr(-,root,root)
%doc USAGE
%{apache_libexecdir}/*.so

%changelog
* Thu Apr  4 2013 cs@linux-administrator.com
- initial package
